package eu.eudat.service.filetransformer;

import eu.eudat.model.file.RepositoryFileFormat;

import java.util.List;
import java.util.UUID;

public interface FileTransformerService {
	List<RepositoryFileFormat> getAvailableExportFileFormats();

	eu.eudat.model.file.FileEnvelope exportDmp(UUID dmpId, String repositoryId, String format);

	eu.eudat.model.file.FileEnvelope exportDescription(UUID descriptionId, String repositoryId, String format);
}
