---
sidebar_position: 6
---

# Users

In this page, there is a listing where you can view details about all the registered users.

The information displayed by default is: the `name` of the users, the `status` of their accounts and timestamps for the `creation` and `updates` of the records. At the top right corner of the listing you can also select which columns to display.

:::tip

For users, there is a column for `emails`, hidden by default.

:::

You can also assign new or remove assigned roles from users by clicking to the icon next to the roles column. When you click it, a multiselect dropdown is made available in the roles column.

## Authorization

Only users that have the **Admin** role can access this page.

## Pagination

Not all the records are being displayed at once. By default, there is a pagination of 10 records applied to them. 

You can control how many records are being displayed at any time, by adjusting the `items per page` control at the bottom left corner of the table.

## Filtering

There are some filtering options available for users.

- **Is Active**: By toggling this control you can view only the active or only the disabled users.<br/>*By default, this option is set to true.*
- **Roles**: You can filter users by their assigned roles. You can select one or more roles.<br/>*By default, no role is selected.*

In order for the filters to apply, you have to click the `Apply filters` button. 

You can also clear any filters already applied, by pressing the `clear all filters` option, located at the top of the popup.